From 13a202df070dd58bb930549c62627dcd97b02b86 Mon Sep 17 00:00:00 2001
From: Nils Maier <maierman@web.de>
Date: Sat, 12 Apr 2014 02:51:21 +0200
Subject: [PATCH] Fix GnuTLS 2.x compatiblity

Closes GH-216
---
 src/LibgnutlsTLSSession.cc | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/LibgnutlsTLSSession.cc b/src/LibgnutlsTLSSession.cc
index 61c4550..94abf6f 100644
--- a/src/LibgnutlsTLSSession.cc
+++ b/src/LibgnutlsTLSSession.cc
@@ -75,6 +75,7 @@ GnuTLSSession::~GnuTLSSession()
 
 int GnuTLSSession::init(sock_t sockfd)
 {
+#if GNUTLS_VERSION_NUMBER >= 0x030000
   unsigned int flags = tlsContext_->getSide() == TLS_CLIENT ?
     GNUTLS_CLIENT : GNUTLS_SERVER;
 #ifdef A2_DISABLE_OCSP
@@ -84,6 +85,11 @@ int GnuTLSSession::init(sock_t sockfd)
 #endif // A2_DISABLE_OCSP
 
   rv_ = gnutls_init(&sslSession_, flags);
+#else // GNUTLS_VERSION_NUMBER >= 0x030000
+  rv_ = gnutls_init(
+      &sslSession_,
+      tlsContext_->getSide() == TLS_CLIENT ? GNUTLS_CLIENT : GNUTLS_SERVER);
+#endif // GNUTLS_VERSION_NUMBER >= 0x030000
   if(rv_ != GNUTLS_E_SUCCESS) {
     return TLS_ERR_ERROR;
   }
-- 
1.9.3

